org.apache.xerces.xni

## Interface XMLDocumentHandler

- All Known Subinterfaces:
    XMLDocumentFilter

      public interface XMLDocumentHandler

  The document handler interface defines callback methods to report information items in XML documents. Parser components interested in document information implement this interface and are registered as the document handler on the document source.
  Version:
    $Id: XMLDocumentHandler.java 447247 2006-09-18 05:23:52Z mrglavas $
  Author:
    Andy Clark, IBM

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(XMLString text, Augmentations augs)` Character content.
    `void` | `comment(XMLString text, Augmentations augs)` A comment.
    `void` | `doctypeDecl(java.lang.String rootElement, java.lang.String publicId, java.lang.String systemId, Augmentations augs)` Notifies of the presence of the DOCTYPE line in the document.
    `void` | `emptyElement(QName element, XMLAttributes attributes, Augmentations augs)` An empty element.
    `void` | `endCDATA(Augmentations augs)` The end of a CDATA section.
    `void` | `endDocument(Augmentations augs)` The end of the document.
    `void` | `endElement(QName element, Augmentations augs)` The end of an element.
    `void` | `endGeneralEntity(java.lang.String name, Augmentations augs)` This method notifies the end of a general entity.
    `XMLDocumentSource` | `getDocumentSource()` Returns the document source.
    `void` | `ignorableWhitespace(XMLString text, Augmentations augs)` Ignorable whitespace.
    `void` | `processingInstruction(java.lang.String target, XMLString data, Augmentations augs)` A processing instruction.
    `void` | `setDocumentSource(XMLDocumentSource source)` Sets the document source.
    `void` | `startCDATA(Augmentations augs)` The start of a CDATA section.
    `void` | `startDocument(XMLLocator locator, java.lang.String encoding, NamespaceContext namespaceContext, Augmentations augs)` The start of the document.
    `void` | `startElement(QName element, XMLAttributes attributes, Augmentations augs)` The start of an element.
    `void` | `startGeneralEntity(java.lang.String name, XMLResourceIdentifier identifier, java.lang.String encoding, Augmentations augs)` This method notifies the start of a general entity.
    `void` | `textDecl(java.lang.String version, java.lang.String encoding, Augmentations augs)` Notifies of the presence of a TextDecl line in an entity.
    `void` | `xmlDecl(java.lang.String version, java.lang.String encoding, java.lang.String standalone, Augmentations augs)` Notifies of the presence of an XMLDecl line in the document.

- - ### Method Detail

    - #### startDocument

          void startDocument(XMLLocator locator,
                           java.lang.String encoding,
                           NamespaceContext namespaceContext,
                           Augmentations augs)
                             throws XNIException

      The start of the document.
      Parameters:
        `locator` - The document locator, or null if the document location cannot be reported during the parsing of this document. However, it is strongly recommended that a locator be supplied that can at least report the system identifier of the document.
        `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
        `namespaceContext` - The namespace context in effect at the start of this document. This object represents the current context. Implementors of this class are responsible for copying the namespace bindings from the the current context (and its parent contexts) if that information is important.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### xmlDecl

          void xmlDecl(java.lang.String version,
                     java.lang.String encoding,
                     java.lang.String standalone,
                     Augmentations augs)
                       throws XNIException

      Notifies of the presence of an XMLDecl line in the document. If present, this method will be called immediately following the startDocument call.
      Parameters:
        `version` - The XML version.
        `encoding` - The IANA encoding name of the document, or null if not specified.
        `standalone` - The standalone value, or null if not specified.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### doctypeDecl

          void doctypeDecl(java.lang.String rootElement,
                         java.lang.String publicId,
                         java.lang.String systemId,
                         Augmentations augs)
                           throws XNIException

      Notifies of the presence of the DOCTYPE line in the document.
      Parameters:
        `rootElement` - The name of the root element.
        `publicId` - The public identifier if an external DTD or null if the external DTD is specified using SYSTEM.
        `systemId` - The system identifier if an external DTD, null otherwise.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### comment

          void comment(XMLString text,
                     Augmentations augs)
                       throws XNIException

      A comment.
      Parameters:
        `text` - The text in the comment.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by application to signal an error.

    - #### processingInstruction

          void processingInstruction(java.lang.String target,
                                   XMLString data,
                                   Augmentations augs)
                                     throws XNIException

      A processing instruction. Processing instructions consist of a target name and, optionally, text data. The data is only meaningful to the application.

      Typically, a processing instruction's data will contain a series of pseudo-attributes. These pseudo-attributes follow the form of element attributes but are not parsed or presented to the application as anything other than text. The application is responsible for parsing the data.

      Parameters:
        `target` - The target.
        `data` - The data or null if none specified.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### startElement

          void startElement(QName element,
                          XMLAttributes attributes,
                          Augmentations augs)
                            throws XNIException

      The start of an element.
      Parameters:
        `element` - The name of the element.
        `attributes` - The element attributes.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### emptyElement

          void emptyElement(QName element,
                          XMLAttributes attributes,
                          Augmentations augs)
                            throws XNIException

      An empty element.
      Parameters:
        `element` - The name of the element.
        `attributes` - The element attributes.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### startGeneralEntity

          void startGeneralEntity(java.lang.String name,
                                XMLResourceIdentifier identifier,
                                java.lang.String encoding,
                                Augmentations augs)
                                  throws XNIException

      This method notifies the start of a general entity.

      Note: This method is not called for entity references appearing as part of attribute values.

      Parameters:
        `name` - The name of the general entity.
        `identifier` - The resource identifier.
        `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### textDecl

          void textDecl(java.lang.String version,
                      java.lang.String encoding,
                      Augmentations augs)
                        throws XNIException

      Notifies of the presence of a TextDecl line in an entity. If present, this method will be called immediately following the startEntity call.

      Note: This method will never be called for the document entity; it is only called for external general entities referenced in document content.

      Note: This method is not called for entity references appearing as part of attribute values.

      Parameters:
        `version` - The XML version, or null if not specified.
        `encoding` - The IANA encoding name of the entity.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endGeneralEntity

          void endGeneralEntity(java.lang.String name,
                              Augmentations augs)
                                throws XNIException

      This method notifies the end of a general entity.

      Note: This method is not called for entity references appearing as part of attribute values.

      Parameters:
        `name` - The name of the entity.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### characters

          void characters(XMLString text,
                        Augmentations augs)
                          throws XNIException

      Character content.
      Parameters:
        `text` - The content.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### ignorableWhitespace

          void ignorableWhitespace(XMLString text,
                                 Augmentations augs)
                                   throws XNIException

      Ignorable whitespace. For this method to be called, the document source must have some way of determining that the text containing only whitespace characters should be considered ignorable. For example, the validator can determine if a length of whitespace characters in the document are ignorable based on the element content model.
      Parameters:
        `text` - The ignorable whitespace.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endElement

          void endElement(QName element,
                        Augmentations augs)
                          throws XNIException

      The end of an element.
      Parameters:
        `element` - The name of the element.
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### startCDATA

          void startCDATA(Augmentations augs)
                          throws XNIException

      The start of a CDATA section.
      Parameters:
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endCDATA

          void endCDATA(Augmentations augs)
                        throws XNIException

      The end of a CDATA section.
      Parameters:
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### endDocument

          void endDocument(Augmentations augs)
                           throws XNIException

      The end of the document.
      Parameters:
        `augs` - Additional information that may include infoset augmentations
      Throws:
        `XNIException` - Thrown by handler to signal an error.

    - #### setDocumentSource

          void setDocumentSource(XMLDocumentSource source)

      Sets the document source.

    - #### getDocumentSource

          XMLDocumentSource getDocumentSource()

      Returns the document source.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.